[arch-commits] CVS update of core/base/iputils (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sat Dec 8 06:39:45 EST 2007


    Date: Saturday, December 8, 2007 @ 06:39:45
  Author: tpowa
    Path: /home/cvs-core/core/base/iputils

Modified: PKGBUILD (1.32 -> 1.33)

'upgpkg: fix http://bugs.archlinux.org/task/8846'


----------+
 PKGBUILD |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)


Index: core/base/iputils/PKGBUILD
diff -u core/base/iputils/PKGBUILD:1.32 core/base/iputils/PKGBUILD:1.33
--- core/base/iputils/PKGBUILD:1.32	Fri Oct 26 06:00:50 2007
+++ core/base/iputils/PKGBUILD	Sat Dec  8 06:39:45 2007
@@ -1,10 +1,10 @@
-# $Id: PKGBUILD,v 1.32 2007/10/26 10:00:50 tpowa Exp $
+# $Id: PKGBUILD,v 1.33 2007/12/08 11:39:45 tpowa Exp $
 # Maintainer: Aaron Griffin <aaron at archlinux.org>
 
 pkgname=iputils
 pkgver=20070202
 _traceroutever=1.4a12
-pkgrel=3
+pkgrel=4
 pkgdesc="IP Configuration Utilities (and Ping)"
 arch=(i686 x86_64)
 license=('GPL')
@@ -15,15 +15,18 @@
 conflicts=('netkit-base' 'arping' 'netkit-tftpd' 'traceroute')
 replaces=('netkit-base' 'traceroute')
 source=(http://www.skbuff.net/iputils/$pkgname-s$pkgver.tar.bz2
-        ftp://ftp.ee.lbl.gov/traceroute-$_traceroutever.tar.gz)
+        ftp://ftp.ee.lbl.gov/traceroute-$_traceroutever.tar.gz
+	iputils-20070202-no-open-max.patch)
 options=(!makeflags)
 md5sums=('1d38fb3cfc2b71496e43cf646bfc1d6e'
-         '964d599ef696efccdeebe7721cd4828d')
+         '964d599ef696efccdeebe7721cd4828d'
+	 'a2cbc0174dd883f68297aa7f3e7c4f5c')
 
 build()
 {
   #build iptuils
   cd $startdir/src/$pkgname-s$pkgver
+  patch -Np1 -i ../iputils-20070202-no-open-max.patch || return 1
   make KERNEL_INCLUDE=/usr/include || return 1   # for i686
   for i in arping clockdiff rarpd rdisc tftpd tracepath tracepath6; do
     install -D -m755 $i $startdir/pkg/usr/sbin/$i
@@ -66,3 +69,4 @@
 
   chmod 4775 ${startdir}/pkg/bin/traceroute
 }
+




More information about the arch-commits mailing list